package com.brilliance.isc.common.trnmod.vo;

import com.brilliance.isc.bo.Dia;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
public class TrnbimVo extends AbstractCommonVo implements Serializable {

    //Stream with information to rows to be undone by TRNREL
    private IStream bimudostm = new StreamImpl();

    private List<Dia> bimdia;

    @Override
    public void reset() {
        if (bimdia == null) {
            bimdia = new ArrayList<>();
        }
    }
}
